clang-tools 10.0.0

Classes | Namespaces | Macros
TweakTesting.h File Reference
`#include "TestTU.h"`
`#include "index/Index.h"`
`#include "llvm/ADT/StringMap.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
`#include <memory>`
`#include <string>`
Include dependency graph for TweakTesting.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::TweakTest

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | TWEAK_TEST(TweakID)
#define | EXPECT_AVAILABLE(MarkedCode)
#define | EXPECT_UNAVAILABLE(MarkedCode)

## Macro Definition Documentation

## ◆ EXPECT_AVAILABLE

#define EXPECT_AVAILABLE | ( |  | MarkedCode | ) |

Value:
do { \
for (const auto &Case : expandCases(MarkedCode)) \
EXPECT_THAT(Case, ::clang::clangd::TweakTest::isAvailable()); \
} while (0)
clang::clangd::TweakTest::isAvailable
::testing::Matcher< llvm::StringRef > isAvailable() const
Definition: TweakTesting.cpp:136

Definition at line 109 of file TweakTesting.h.

## ◆ EXPECT_UNAVAILABLE

#define EXPECT_UNAVAILABLE | ( |  | MarkedCode | ) |

Value:
do { \
for (const auto &Case : expandCases(MarkedCode)) \
EXPECT_THAT(Case, \
::testing::Not(::clang::clangd::TweakTest::isAvailable())); \
} while (0)
clang::clangd::TweakTest::isAvailable
::testing::Matcher< llvm::StringRef > isAvailable() const
Definition: TweakTesting.cpp:136

Definition at line 115 of file TweakTesting.h.

## ◆ TWEAK_TEST

#define TWEAK_TEST | ( |  | TweakID | ) |

Value:
class TweakID##Test : public ::clang::clangd::TweakTest { \
protected: \
TweakID##Test() : TweakTest(#TweakID) {} \
}
clang::clangd::TweakTest
Definition: TweakTesting.h:40

Definition at line 103 of file TweakTesting.h.